/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/07/20 14:19:13
 */

import 'es.shim'
import { html, css, Component } from 'wkit'

import './components/sidebar.js'
import './components/official.js'

class App extends Component {
  static props = {
    input: '',
    img: '',
    content: ''
  }

  static styles = [
    css`
      :host {
        display: flex;
        width: 100%;
        height: 100vh;
      }
      .app {
        display: flex;
        width: 100%;
      }
    `
  ]

  render() {
    return html`
      <div class="app">
        <wc-sidebar></wc-sidebar>
        <wc-official></wc-official>
      </div>
    `
  }

  quit() {
    native.quit()
  }
}

App.reg('app')
